using System.Collections.Generic;
using System.Linq;

namespace Wizard;

public class BattlePassUtility
{
	public static int BattlePassMaxLevel = BattlePassLevelInfoList.Keys.Max();

	private static Dictionary<int, BattlePassLevelInfo> BattlePassLevelInfoList => Data.Load.data.BattlePassLevelInfoList;

	public static int BattlePassMaxPoint => BattlePassLevelInfoList[BattlePassMaxLevel].RequiredPoint;

	public static int NextLevelRequiredPoint(int level)
	{
		if (level != BattlePassMaxLevel)
		{
			return BattlePassLevelInfoList[level + 1].RequiredPoint - BattlePassLevelInfoList[level].RequiredPoint;
		}
		return 0;
	}
}
